Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class IpResourceSubscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceSubscription

All Implemented Interfaces:
  `Serializable`, `Idable`

public class IpResourceSubscription extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpResourceSubscription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getAddressFrom()`
  `byte[]`
  `getAddressTo()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getIpResourseId()`
  `int`
  `getSubscriberId()`
  `String`
  `getSubscriberTitle()`
  `IpResourceSubscription`
  `setAddressFrom(byte[] addressFrom)`
  `IpResourceSubscription`
  `setAddressTo(byte[] addressTo)`
  `IpResourceSubscription`
  `setDateFrom(Date dateFrom)`
  `IpResourceSubscription`
  `setDateTo(Date dateTo)`
  `IpResourceSubscription`
  `setId(int id)`
  Устанавливает id объекта
  `IpResourceSubscription`
  `setIpResourseId(int ipResourseId)`
  `IpResourceSubscription`
  `setSubscriberId(int subscriberId)`
  `IpResourceSubscription`
  `setSubscriberTitle(String subscriberTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceSubscription

    public IpResourceSubscription()

- ## Method Details

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getIpResourseId

    public int getIpResourseId()

  - ### getSubscriberId

    public int getSubscriberId()

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### setAddressFrom

    public IpResourceSubscription setAddressFrom(byte[] addressFrom)

  - ### setAddressTo

    public IpResourceSubscription setAddressTo(byte[] addressTo)

  - ### setDateFrom

    public IpResourceSubscription setDateFrom(Date dateFrom)

  - ### setDateTo

    public IpResourceSubscription setDateTo(Date dateTo)

  - ### setId

    public IpResourceSubscription setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setIpResourseId

    public IpResourceSubscription setIpResourseId(int ipResourseId)

  - ### setSubscriberId

    public IpResourceSubscription setSubscriberId(int subscriberId)

  - ### setSubscriberTitle

    public IpResourceSubscription setSubscriberTitle(String subscriberTitle)